<template>
  <div>
    <button-back />
    <goal-form
      :submit="submit"
    />
  </div>
</template>

<script lang="ts">
  import Vue from 'vue'
  import GoalForm from '~/components/GoalForm.vue'
  import { vxm } from '~/store/store'
  import { Goal } from '~/utils/models'

  export default Vue.extend({
    components: {
      GoalForm
    },
    methods: {
      async submit (model: Goal) {
        await vxm.goals.add(model)
        this.$router.replace(`/goals/${model.title}`)
      },
    },
  })
</script>
